Bug 35891 - [GStreamer] Fails to go to Loaded state because of floating point discrepancies
Summary: [GStreamer] Fails to go to Loaded state because of floating point discrepancies
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Gustavo Noronha (kov)
URL:
Keywords:
Depends on:
Blocks: 9243
  Show dependency treegraph
 
Reported: 2010-03-08 15:37 PST by Gustavo Noronha (kov)
Modified: 2013-06-04 14:03 PDT (History)
2 users (show)

See Also:


Attachments
try to avoid the floating point comparison by using the fill status variable (2.16 KB, patch)
2010-03-08 15:40 PST, Gustavo Noronha (kov)
gns: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Noronha (kov) 2010-03-08 15:37:13 PST
Watching debug logs I noticed that maxTimeLoaded was getting very close to, but not exactly equal to duration. I think we need to stop relying on the floating point calculations for the 'completed' case.
Comment 1 Gustavo Noronha (kov) 2010-03-08 15:40:05 PST
Created attachment 50261 [details]
try to avoid the floating point comparison by using the fill status variable
Comment 2 Philippe Normand 2010-03-09 00:05:12 PST
LGTM!
Comment 3 Eric Seidel (no email) 2010-03-24 14:32:34 PDT
Attachment 50261 [details] was posted by a committer and has review+, assigning to Gustavo Noronha Silva for commit.
Comment 4 Gustavo Noronha (kov) 2010-03-24 16:02:37 PDT
Comment on attachment 50261 [details]
try to avoid the floating point comparison by using the fill status variable

Finally got this committed as r56465. Thanks!